# Uses of Class
org.eclipse.core.resources.team.FileModificationValidator

Packages that use FileModificationValidator
Package
Description
org.eclipse.team.core
Application programming interfaces for defining and working with repository providers.

## Uses of FileModificationValidator in org.eclipse.team.core

Methods in org.eclipse.team.core that return FileModificationValidator
Modifier and Type
Method
Description
`FileModificationValidator`
RepositoryProvider.`getFileModificationValidator2()`
Returns a `FileModificationValidator` for pre-checking operations that modify the contents of files.